com.ibm.openpages.api.trigger.events

## Enum TriggerEventType

- java.lang.Object
- - java.lang.Enum<TriggerEventType>
  - - com.ibm.openpages.api.trigger.events.TriggerEventType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TriggerEventType>

      public enum TriggerEventType
      extends java.lang.Enum<TriggerEventType>

  Defines event type for all current supported trigger operations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASSOCIATE_OBJECTS`
    `COPY_OBJECT`
    `COPY_OBJECTS`
    `CREATE_OBJECT`
    `CREATE_OBJECT_W_RELATIONS`
    `DELETE_OBJECTS`
    `DISASSOCIATE_OBJECTS`
    `MOVE_OBJECT`
    `MOVE_OBJECTS`
    `QUERY_OBJECTS`
    `REASSIGN_PRIMARY_PARENT`
    `RENAME_OBJECT`
    `RENAME_OBJECTS`
    `SEARCH_OBJECTS`
    `UPDATE_OBJECT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TriggerEventType` | `getEventForName(java.lang.String name)` Returns the supported trigger event type, provided the standard name.
    `java.lang.String` | `getName()` Returns the event name for the enum
    `static TriggerEventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TriggerEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE_OBJECT

          public static final TriggerEventType CREATE_OBJECT

    - #### CREATE_OBJECT_W_RELATIONS

          public static final TriggerEventType CREATE_OBJECT_W_RELATIONS

    - #### UPDATE_OBJECT

          public static final TriggerEventType UPDATE_OBJECT

    - #### DELETE_OBJECTS

          public static final TriggerEventType DELETE_OBJECTS

    - #### SEARCH_OBJECTS

          public static final TriggerEventType SEARCH_OBJECTS

    - #### ASSOCIATE_OBJECTS

          public static final TriggerEventType ASSOCIATE_OBJECTS

    - #### DISASSOCIATE_OBJECTS

          public static final TriggerEventType DISASSOCIATE_OBJECTS

    - #### REASSIGN_PRIMARY_PARENT

          public static final TriggerEventType REASSIGN_PRIMARY_PARENT

    - #### MOVE_OBJECTS

          public static final TriggerEventType MOVE_OBJECTS

    - #### MOVE_OBJECT

          public static final TriggerEventType MOVE_OBJECT

    - #### RENAME_OBJECTS

          public static final TriggerEventType RENAME_OBJECTS

    - #### RENAME_OBJECT

          public static final TriggerEventType RENAME_OBJECT

    - #### COPY_OBJECT

          public static final TriggerEventType COPY_OBJECT

    - #### COPY_OBJECTS

          public static final TriggerEventType COPY_OBJECTS

    - #### QUERY_OBJECTS

          public static final TriggerEventType QUERY_OBJECTS

  - ### Method Detail

    - #### values

          public static TriggerEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TriggerEventType c : TriggerEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TriggerEventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      Returns the event name for the enum
      Returns:
        name of the event e.g. "create.object"

    - #### getEventForName

          public static TriggerEventType getEventForName(java.lang.String name)

      Returns the supported trigger event type, provided the standard name.
      Parameters:
        `name` - the standard event name e.g "create.object"
      Returns:
        TriggerEventType e.g. CREATE_OBJECT or null if no event type matches name

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.